# Uses of Interface
org.opensaml.saml.ext.reqattr.RequestedAttributes

Packages that use RequestedAttributes
Package
Description
org.opensaml.saml.ext.reqattr.impl
Implementations for SAML V2.0 Protocol Extension For Requesting Attributes Per Request.

## Uses of RequestedAttributes in org.opensaml.saml.ext.reqattr.impl

Classes in org.opensaml.saml.ext.reqattr.impl that implement RequestedAttributes
Modifier and Type
Class
Description
`class`
`RequestedAttributesImpl`
A concrete `RequestedAttributes`.
Methods in org.opensaml.saml.ext.reqattr.impl that return RequestedAttributes
Modifier and Type
Method
Description
`RequestedAttributes`
RequestedAttributesBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`RequestedAttributes`
RequestedAttributesBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.